Subject: Re: bug#31054: report problem: import bookmark for Web application does not work

From: Wensheng Xie <[email-masked]>
Date: Sun, 8 Apr 2018 10:14:24 +0800

Thanks, Mark.

I will try IceCat.

By the way, I also noticed that "import/export bookmark" entries are not
translated into Chinese. Do you know where I can submit translation issues
for Chinese for guixSD?

best regards,
wxie

On Sun, Apr 8, 2018 at 2:10 AM, Mark H Weaver <[email-masked]> wrote:

> retitle 31054 Epiphany crashes on "import bookmark" menu item.
> thanks
>
> Wensheng Xie <[email-masked]> writes:
>
> > The system is guixSD 0.14 with standard desktop for xfce and GNOME.
> >
> > Using the standard web browser, try to click on the "import bookmark"
> menu.
> > The Web browser silently exits.
> >
> > Does anybody have the same issue?
>
> I just tried it, and the same issue happens for me on my system based on
> the 'core-updates' branch.  It writes the following to stdout/stderr
> just before exiting:
>
> --8<---------------cut here---------------start------------->8---
> (epiphany:1178): GLib-CRITICAL **: 14:01:59.053: g_io_channel_read_line:
> assertion 'channel != NULL' failed
> free(): invalid pointer
> Aborted
> --8<---------------cut here---------------end--------------->8---
>
> In the meantime, you might consider trying GNU IceCat, which I suspect
> has seen more usage and testing by GuixSD users.
>
>       Mark
>

-- 
I'm an FSF member -- Help us support software freedom!
https://my.fsf.org/join